(function() {
	'use strict';

	if ( typeof (tinymce) === 'object' )
		tinymce.PluginManager.add(
			'slatevc',
			function(editor, url) {

				if ( editor.id != 'wpb_tinymce_content' )
					return;

				if ( !jQuery( '#wpb_tinymce_content' ).parents(
					'[data-vc-shortcode^="slate_"]' ).length )
					return;

				editor.settings.toolbar1 =
					'bold,italic,underline,strikethrough,link,unlink,spellchecker,wp_fullscreen';
				editor.settings.toolbar2 =
					'pastetext,removeformat,charmap,undo,redo,wp_help';

				jQuery( '#wp-wpb_tinymce_content-media-buttons' )
								.remove();

			} );
})();
